## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name rich

Name:           python-%{pypi_name}
Version:        13.7.1
Release:        %autorelease
Summary:        Render rich text and beautiful formatting in the terminal

# https://spdx.org/licenses/MIT.html
License:        MIT
URL:            https://github.com/Textualize/rich
Source0:        %{url}/archive/v%{version}/rich-%{version}.tar.gz

# Fix tests with Python 3.13 - submitted upstream
Patch:          https://github.com/Textualize/rich/pull/3229.patch
# Temporarily skip test_pretty tests failing with Python 3.13
# the repr() of dataclasses has changed - reported upstream
# https://github.com/Textualize/rich/issues/3368
Patch:          Skip-failing-tests-with-Python-3.13.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
# for checks
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(attrs)

%description
Rich is a Python library for rich text and beautiful formatting in the terminal.
The Rich API makes it easy to add color and style to terminal output. Rich can
also render pretty tables, progress bars, markdown, syntax highlighted source
code, tracebacks, and more — out of the box.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
# This was previously misnamed, remove the obsolete in Fedora 38, EPEL 10
Obsoletes:      python-%{pypi_name} < 10.16.1-2

%description -n python3-%{pypi_name}
Rich is a Python library for rich text and beautiful formatting in the terminal.
The Rich API makes it easy to add color and style to terminal output. Rich can
also render pretty tables, progress bars, markdown, syntax highlighted source
code, tracebacks, and more — out of the box.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rich

%check
# add below to make sure initial build will catch runtime import errors
%pyproject_check_import

%pytest -vv

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
## START: Generated by rpmautospec
* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 13.7.1-3
- Rebuilt for Python 3.13

* Fri May 31 2024 Karolina Surma <ksurma@redhat.com> - 13.7.1-2
- Skip failing tests with Python 3.13

* Thu Mar 14 2024 Parag Nemade <pnemade@fedoraproject.org> - 13.7.1-1
- local build

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 13.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 13.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 12 2023 Karolina Surma <ksurma@redhat.com> - 13.7.0-3
- Skip tests failing with Python 3.13

* Tue Nov 21 2023 Parag Nemade <pnemade@fedoraproject.org> - 13.7.0-2
- Remove upstreamed patch

* Thu Nov 16 2023 Parag Nemade <pnemade@fedoraproject.org> - 13.7.0-1
- local build

* Sun Oct 08 2023 Parag Nemade <pnemade@fedoraproject.org> - 13.6.0-1
- local build

* Mon Sep 18 2023 Parag Nemade <pnemade@fedoraproject.org> - 13.5.3-1
- Update to 13.5.3 version (#2239337)

* Thu Aug 03 2023 Parag Nemade <pnemade@fedoraproject.org> - 13.5.2-1
- Update to 13.5.2 version (#2227446)

* Fri Jul 21 2023 Parag Nemade <pnemade@fedoraproject.org> - 13.4.2-3
- Mark this as SPDX license expression converted

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 13.4.2-2
- Rebuilt for Python 3.12

* Tue Jun 20 2023 Parag Nemade <pnemade@fedoraproject.org> - 13.4.2-1
- local build

* Fri May 19 2023 Tomáš Hrnčiar <thrnciar@redhat.com> - 13.3.5-3
- Backport upstream patch to fix failing tests with Python 3.12

* Wed May 10 2023 Parag Nemade <pnemade@fedoraproject.org> - 13.3.5-2
- tests are running successfully now so revert skipping some tests

* Fri Apr 28 2023 Parag Nemade <pnemade@fedoraproject.org> - 13.3.5-1
- local build

* Mon Apr 10 2023 Parag Nemade <pnemade@fedoraproject.org> - 13.3.3-3
- Add new manual BR: python3-attrs for new update pytest-7.3.0

* Wed Mar 29 2023 Parag Nemade <pnemade@fedoraproject.org> - 13.3.3-2
- Add missing BR:python3-setuptools for executing tests

* Wed Mar 29 2023 Parag Nemade <pnemade@fedoraproject.org> - 13.3.3-1
- local build

* Tue Mar 07 2023 Parag Nemade <pnemade@fedoraproject.org> - 13.3.2-1
- local build

* Mon Jan 30 2023 Parag Nemade <pnemade@fedoraproject.org> - 13.3.1-1
- local build

* Mon Jan 23 2023 Parag Nemade <pnemade@fedoraproject.org> - 13.2.0-1
- local build

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 13.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Jan 02 2023 Parag Nemade <pnemade@fedoraproject.org> - 13.0.0-1
- local build

* Mon Oct 17 2022 Miro Hrončok <miro@hroncok.cz> - 12.6.0-2
- Remove superfluous build-time dependency on python3-toml

* Mon Oct 03 2022 Parag Nemade <pnemade@fedoraproject.org> - 12.6.0-1
- local build

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 12.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 12 2022 Parag Nemade <pnemade@fedoraproject.org> - 12.5.1-1
- local build

* Sat Jul 09 2022 Parag Nemade <pnemade@fedoraproject.org> - 12.4.4-4
- Add %%pyproject_check_import to detect runtime errors

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 12.4.4-3
- Rebuilt for Python 3.11

* Thu Jun 02 2022 Tomáš Hrnčiar <thrnciar@redhat.com> - 12.4.4-2
- Temporarily disable some test so package builds with Python 3.11

* Tue May 31 2022 Parag Nemade <pnemade@fedoraproject.org> - 12.4.4-1
- local build

* Fri May 13 2022 Parag Nemade <pnemade@fedoraproject.org> - 12.4.1-2
- Remove upstreamed patch

* Fri May 13 2022 Parag Nemade <pnemade@fedoraproject.org> - 12.4.1-1
- local build

* Wed May 11 2022 Charalampos Stratakis <cstratak@redhat.com> - 12.3.0-2
- Fix a test case with Pygments 2.12.0

* Wed Apr 27 2022 Parag Nemade <pnemade@fedoraproject.org> - 12.3.0-1
- local build

* Tue Apr 12 2022 Parag Nemade <pnemade@fedoraproject.org> - 12.2.0-1
- local build

* Wed Mar 23 2022 Parag Nemade <pnemade@fedoraproject.org> - 12.0.1-1
- local build

* Mon Mar 14 2022 Parag Nemade <pnemade@fedoraproject.org> - 12.0.0-1
- local build

* Tue Feb 08 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 11.2.0-1
- Update to 11.2.0 - Closes rhbz#2035874 rhbz#2042308
- Re-enable some tests that now work with Pygments-2.11
- Update homepage URL

* Mon Feb 07 2022 Karolina Surma <ksurma@redhat.com> - 10.16.1-4
- Fix failing tests with Pygments 2.11 (#2042308)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 10.16.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 18 2022 Miro Hrončok <miro@hroncok.cz> - 10.16.1-2
- Fix the built package name

* Mon Dec 13 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.16.0-1
- Update to 10.16.0 version (#2031494)

* Mon Dec 06 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.15.2-1
- Update to 10.15.2 version (#2028523)

* Tue Nov 30 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.15.1-1
- Update to 10.15.1 version (#2027489)

* Wed Nov 17 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.14.0-1
- Update to 10.14.0 version (#2023800)

* Mon Nov 08 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.13.0-1
- Update to 10.13.0 version (#2020951)

* Wed Oct 20 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.12.0-1
- Update to 10.12.0 version (#2011373)

* Tue Sep 28 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.11.0-1
- Update to 10.11.0 version (#2007584)

* Sat Sep 18 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.10.0-1
- Update to 10.10.0 version (#2005578)

* Thu Sep 02 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.9.0-1
- Update to 10.9.0 version (#1998751)

* Fri Aug 06 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.7.0-1
- Update to 10.7.0 version (#1990647)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 10.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 13 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.6.0-1
- Update to 10.6.0 version (#1981531)

* Mon Jul 12 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.5.0-1
- Update to 10.5.0 version (#1979302)

* Fri Jul 02 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.4.0-1
- Update to 10.4.0 version (#1973835)

* Fri Jun 11 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.3.0-1
- Update to 10.3.0 version (#1970067)

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 10.2.2-2
- Rebuilt for Python 3.10

* Fri May 21 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.2.2-1
- Update to 10.2.2 version (#1962272)

* Tue May 18 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.2.1-1
- Update to 10.2.1 version (#1961434)

* Sat May 15 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.2.0-1
- Update to 10.2.0 version (#1959946)

* Wed Apr 07 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.1.0-1
- Update to 10.1.0 version (#1945988)

* Wed Mar 31 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.0.1-1
- Update to 10.0.1 version (#1944804)

* Sat Mar 27 2021 Parag Nemade <pnemade AT redhat DOT com> - 10.0.0-1
- Update to 10.0.0 version (#1943805)

* Mon Mar 08 2021 Parag Nemade <pnemade AT redhat DOT com> - 9.13.0-1
- Update to 9.13.0 version (#1936085)

* Thu Mar 04 2021 Parag Nemade <pnemade AT redhat DOT com> - 9.12.4-1
- Update to 9.12.4 version (#1933882)

* Sun Feb 28 2021 Parag Nemade <pnemade AT redhat DOT com> - 9.12.3-1
- Update to 9.12.3 version (#1933478)

* Sun Feb 28 2021 Parag Nemade <pnemade AT redhat DOT com> - 9.12.2-1
- Update to 9.12.2 version (#1931063)

* Tue Feb 16 2021 Parag Nemade <pnemade AT redhat DOT com> - 9.11.0-1
- Update to 9.11.0 version (#1928971)

* Tue Feb  2 14:22:24 IST 2021 Parag Nemade <pnemade AT redhat DOT com> - 9.10.0-1
- Update to 9.10.0 version (#1921301)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 9.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 24 08:37:21 IST 2021 Parag Nemade <pnemade AT redhat DOT com> - 9.9.0-1
- Update to 9.9.0 version (#1915923)

* Tue Jan 12 14:05:31 IST 2021 Parag Nemade <pnemade AT redhat DOT com> - 9.8.0-1
- Update to 9.8.0 version (#1913979)

* Sat Jan  2 21:51:00 IST 2021 Parag Nemade <pnemade AT redhat DOT com> - 9.6.1-1
- Update to 9.6.1 version (#1911840)

* Thu Dec 31 22:12:44 IST 2020 Parag Nemade <pnemade AT redhat DOT com> - 9.6.0-1
- Update to 9.6.0 version (#1911672)

* Tue Dec 22 20:05:06 IST 2020 Parag Nemade <pnemade AT redhat DOT com> - 9.5.1-1
- Update to 9.5.1 version (#1909212)

* Fri Dec 18 13:36:15 IST 2020 Parag Nemade <pnemade AT redhat DOT com> - 9.4.0-1
- Update to 9.4.0 version (#1907029)

* Thu Dec  3 15:11:46 IST 2020 Parag Nemade <pnemade AT redhat DOT com> - 9.3.0-1
- Update to 9.3.0 version (#1903254)

* Fri Nov 13 12:18:46 IST 2020 Parag Nemade <pnemade AT redhat DOT com> - 9.2.0-1
- Update to 9.2.0 version (#1895694)

* Sat Oct 24 12:47:42 IST 2020 Parag Nemade <pnemade AT redhat DOT com> - 9.1.0-1
- Update to 9.1.0 version (#1889145)

* Sun Oct 18 16:38:50 IST 2020 Parag Nemade <pnemade AT redhat DOT com> - 8.0.0-1
- Update to 8.0.0 version (#1884915)

* Thu Oct  1 08:41:03 IST 2020 Parag Nemade <pnemade AT redhat DOT com> - 7.1.0-1
- Update to 7.1.0 version (#1882733)

* Wed Aug 26 2020 Parag Nemade <pnemade AT redhat DOT com> - 6.0.0-1
- Initial package.

## END: Generated by rpmautospec
